domain
Api reference

Create a domain connection

POST
/v1/connections

Creates one connection for the application and tenant bound to the API key.

Authorization

apiKeyAuth
x-api-key<token>

Server-only Domain0 API key. Never expose it in browser code.

In: header

Request Body

application/json

TypeScript Definitions

Use the request body type in TypeScript.

Response Body

application/json

application/json

application/json

application/json

application/json

application/json

application/json

curl -X POST "https://example.com/v1/connections" \  -H "Content-Type: application/json" \  -d '{    "intent": {      "domain": "string",      "records": [        {          "host": "string",          "type": "A",          "value": "string"        }      ]    }  }'
{  "connection": {    "id": "string",    "applicationId": "string",    "tenantId": "string",    "intent": {      "domain": "string",      "records": [        {          "host": "string",          "type": "A",          "value": "string",          "ttl": 300,          "priority": 0,          "optional": false,          "advancedDmarcOptions": {            "inheritRootDmarc": false,            "overrideTags": {},            "removeTags": [],            "addTagsIfNotExist": {}          }        }      ],      "existingRecordPolicy": {        "validateDmarc": false,        "validateCAA": false      }    },    "effectiveIntent": {      "domain": "string",      "records": [        {          "host": "string",          "type": "A",          "value": "string",          "ttl": 300,          "priority": 0,          "optional": false        }      ]    },    "state": "requested",    "provider": {      "id": "string",      "name": "string",      "referenceUrl": "http://example.com",      "implementation": "automatic",      "availableAuthorizationMethods": [        "oauth2_pkce"      ],      "capabilities": {        "rootNSModification": "supported"      },      "detection": {        "method": "nameserver"      },      "limitations": [        "string"      ]    },    "plan": {      "digest": "string",      "changes": [        {          "action": "create",          "before": {            "host": "string",            "type": "A",            "value": "string",            "ttl": 300,            "priority": 0,            "optional": false          },          "after": {            "host": "string",            "type": "A",            "value": "string",            "ttl": 300,            "priority": 0,            "optional": false          },          "destructive": true        }      ],      "warnings": [        "spf_policy_replaced"      ],      "expiresAt": "2019-08-24T14:15:22Z"    },    "failure": {      "code": "provider_snapshot_timeout",      "retryable": true,      "resumeState": "authorized",      "occurredAt": "2019-08-24T14:15:22Z"    },    "optionalFailures": [      "string"    ],    "createdAt": "2019-08-24T14:15:22Z",    "updatedAt": "2019-08-24T14:15:22Z"  }}